LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Security (http://www.linuxquestions.org/questions/linux-security-4/)
-   -   SElinux & php4 & interbase & apache (http://www.linuxquestions.org/questions/linux-security-4/selinux-and-php4-and-interbase-and-apache-301784/)

maxut 03-15-2005 04:57 AM

SElinux & php4 & interbase & apache
 
hello penguins,
i have a apache web server on centos 4 (based on RHEL 4) distro. it runs with php with interbase SQL support. when i enable SElinux, it seems that it doesnt allow to run interbase support module.
i get following error :

kernel: audit(1110793123.387:0): avc: denied { execute } for pid=14545 path=/usr/lib/php4/interbase.so dev=hda3 ino=1294268 scontext=root:system_r:httpd_t tcontext=root:object_r:lib_t tclass=file

is it possible to say SElinux to allow that file? or is it better to disable SElinux?

thanks.


All times are GMT -5. The time now is 07:47 PM.